Support » Installation » Parse error bei der Installation

  • Gelöst MelWendt

    (@melwendt)


    Hi,
    ich komme als Neuling nicht mehr weiter. Ich versuche wordpress zu installieren. Nachdem ich es für meine eigene Website problemlos geschafft habe, muss ich jetzt eine weitere Website bei einem Host unter

    premium-admin.eu
    , bzw. rp (sehr suspekt, wer ist der Ansprechpartner? )einrichten.

    Beim Install.php-Aufruf erhielt ich jetzt folgende Fehlermeldung:

    Parse error: syntax error, unexpected

    Kann mir jemand helfen oder einen Tipp geben?
    LG Mel

Ansicht von 15 Antworten - 1 bis 15 (von insgesamt 15)
  • .rp stands for Republic of Pacitalia.

    Hast Du irgendwelche Veränderungen an WordPress vorgenommen, bevor du die install.php aufrufst?

    Gruß, Torsten

    Hi! Ich habe nur das aktuelle WordPress runtergeladen und per FTP übertragen. Dann über den Browser die install.php angesteuert. Die Meldung war dann:
    Parse error: syntax error, unexpected ‚{‚ in /kunden/…/rp-hosting/…/wp-includes/functions.php on line 2678

    Bei Strato hatte ich die Möglichkeit einer automatischen Install.

    Welcher Hoster?

    Gruß, Torsten

    Kompliziert rauszufinden … aber jetzt hab ich´s:
    New MedMarketing, New DentMarketing UG (haftungsbeschränkt) & Co. KG

    LG Mel

    Hi, ich bins noch mal und hoffe, dass mir jemad helfen kann:

    WordPress läßt sich nicht installieren. Ich erhalte beim Versuch die install.php über den Browseer zu starten, die folgende Fehlermedung:

    Parse error: syntax error, unexpected ‚{‚ in /kunden/153120_24340/rp-hosting/223/231/wp-includes/functions.php on line 2678

    In der Zeile 2678 der functions.php steht:

    try {
    $args[0] = _wp_json_sanity_check( $data, $depth );
    } catch ( Exception $e ) {
    return false;
    }

    Da ich kein php behersche, aber eine simple WP-Installation mit einem bestimmten Theme auf Kundenwunsch brauche, sitze ich zimlich ratlos davor.

    Kann mir jemand weiterhelfen?

    Vielen Dank im Voraus! 🙂
    Mel

    Upps! Sorry für die vielen Schreibfehler beim eben mal schnell Text im Smartphone eingeben!

    Edi

    (@psychosopher)

    Ohne Antwort auf die Frage von Torsten kommen wir kaum weiter…

    So der so: Wenn sich WordPress nicht problemlos installieren lässt, und der Hoster keinen Support leisten will, kann oder was auch immer, würde ich unverzüglich zu einem anderen Hoster wechseln.

    Vertragspartner ist die Firma das Unternehmen „New MedMarketing, New DentMarketing UG (haftungsbeschränkt) & Co. KG und der Provider domainfactory GmbH.

    Auf den domainFACTORY Servern läuft MySQL 5 in der Version 5.6.19 und auch WordPress.

    Edi

    (@psychosopher)

    Die Fehlermeldung könnte mit der installierten beziehungsweise aktivierten PHP-Version zu tun haben. Welche verwendest Du?

    wenn ich das sicher wüßte … hier mal copy and paste aus der Informationsseite:

    Pfad zu PHP4 und PHP5
    Eine Pfadangabe für PHP ist nicht erforderlich. Erlaubte Dateiendungen für Skripte: .php .php3 .php4 .php5
    Pfad zu Perl5
    /usr/bin/perl – Erlaubte Dateiendungen für Skripte: .pl .cgi
    Pfad zu Python
    /usr/bin/python – Erlaubte Dateiendungen für Skripte: .py
    Pfad zu Python 2.01
    /usr/bin/python2 – Erlaubte Dateiendung für Skripte: .py
    Pfad zu Ruby
    /usr/bin/ruby – Erlaubte Dateiendung für Skripte: .rb
    Pfad zu Sendmail
    /usr/lib/sendmail
    Skripte sind in allen Verzeichnissen lauffähig, ein Verzeichnis /cgi-bin wird nicht benötigt.

    Hilft das?

    Prinzipiell ist das bei domainfactory auf jeden Fall möglich, sofern die notwendigen Pakete gebucht wurden.

    Die PHP-Version ist im Kundenmenü einstellbar.

    Wenn du keine Änderungen an WP vorgenommen hast, und auf dem Server PHP möglich ist (bitte bei Domainfactory klären!) – dann bleibt nur, dass das WP selbst fehlerhaft ist. Also bitte neu herunterladen und nochmal hochladen. Vielleicht ist etwas beim Download oder Upload schief gegangen.

    Gruß, Torsten

    Ok, WP habe ich neu hochgeladen. Bringt nix. Ich frag Montag beim Provider nach, ob das Paket WP ermöglicht.

    Herzlichen Dank an Edi und Thorsten!

    Gruß und schönen Sonntag,
    Mel

    Hallo zusammen!

    Ich habe das gleiche Problem bei der Installation gehabt.

    Fehlermeldung:
    Parse error: syntax error, unexpected ‚{‚ in /kunden/76573_6934/webseiten/wordpress/wp-includes/functions.php on line 2678

    Es ist der gleiche Provider (den österreichischen Ableger davon), mit dem ich seit 10 Jahren immer gut gefahren bin, und jetzt mal WordPress installieren wollte, als Alternative zu meinem bisherigen HTML-Editor. (Die kleinen Scripts in der Vergangenheit hatten immer problemlos unter MySQL funktioniert.)

    Bei mir war noch PHP 4.xx eingestellt und max. 5.6.0 ist möglich. Nach dem Ändern, geht auch das Installations-Script…

    Vielleicht ist es bei Dir das selbe Problem.

    Viel Erfolg!

    Manfred

    Danke für den Hinweis!

    Gruß, Torsten

    So, Problem gelöst!

    Die standardmäßig verwende PHP Version war zu alt. Diese mußte durch eine Einstellungsdatei auf dem Server neu ge’frast‘
    > (Umgeschrieben) werden, damit WordPress arbeiten kann.

    Nochmals Danke an alle!

Ansicht von 15 Antworten - 1 bis 15 (von insgesamt 15)
  • Das Thema „Parse error bei der Installation“ ist für neue Antworten geschlossen.